Package com.ocient.jdbc

## Class SQLStates

- java.lang.Object
- - com.ocient.jdbc.SQLStates

    public class SQLStates
    extends Object

### Field Summary

Fields
`static SQLStates` `AGGREGATION_NOT_ALLOWED`
`static SQLStates` `AGGREGATION_NOT_ALLOWED_IN_WINDOW_CONSTRUCTION`
`static SQLStates` `AGGREGATION_ON_CONSTANT`
`static SQLStates` `AMBIGUOUS_COL`
`static SQLStates` `BAD_END_FRAME_BOUND`
`static SQLStates` `BAD_PARAM_NUM`
`static SQLStates` `BAD_RANGE_FRAME_SPECIFICATION`
`static SQLStates` `BAD_START_FRAME_BOUND`
`static SQLStates` `BAD_USER_PWD`
`static SQLStates` `BAD_WINDOWED_ORDER_BY`
`static SQLStates` `CALL_ON_CLOSED_OBJECT`
`static SQLStates` `CASE_WITHIN_CASE`
`static SQLStates` `COLUMN_NOT_FOUND`
`static SQLStates` `COPY_TARGET_IS_IRD`
`static SQLStates` `CORRELATED_SUBQUERY`
`static SQLStates` `CURSOR_NOT_ON_ROW`
`static SQLStates` `DIVDE_BY_ZERO`
`static SQLStates` `DUPLICATE_CTE_NAME`
`static SQLStates` `DYNAMIC_LINK_FAILURE`
`static SQLStates` `EXCESSIVE_COST`
`static SQLStates` `EXPECTED_CONST_WINDOWED_AGGREGATE_ARGUMENT`
`static SQLStates` `FAILED_CONNECTION`
`static SQLStates` `FAILED_HANDSHAKE`
`static SQLStates` `FRAME_SPEC_NOT_ALLOWED`
`static SQLStates` `FRAME_WITHOUT_ORDERING`
`static SQLStates` `INCOMPATIBLE_TYPES_IN_CASE`
`static SQLStates` `INCOMPATIBLE_TYPES_IN_LIST`
`static SQLStates` `INTERNAL_ERROR`
`static SQLStates` `INVALID_AGGREGATION`
`static SQLStates` `INVALID_ARGUMENT`
`static SQLStates` `INVALID_ATTRIBUTE`
`static SQLStates` `INVALID_BUFFER_LENGTH`
`static SQLStates` `INVALID_BY_EXPRESSION`
`static SQLStates` `INVALID_C_DATA_TYPE`
`static SQLStates` `INVALID_CASE_CONDITION`
`static SQLStates` `INVALID_COLUMN_TYPE`
`static SQLStates` `INVALID_COMPARISON`
`static SQLStates` `INVALID_CONN_STR_ATTR`
`static SQLStates` `INVALID_CURSOR_STATE`
`static SQLStates` `INVALID_DATA_TYPE_CONVERSION`
`static SQLStates` `INVALID_DESCRIPTOR_FIELD`
`static SQLStates` `INVALID_DESCRIPTOR_INDEX`
`static SQLStates` `INVALID_DESCRIPTOR_INFORMATION`
`static SQLStates` `INVALID_FLOATING_POINT_OPERATION`
`static SQLStates` `INVALID_FRAME_BOUNDS`
`static SQLStates` `INVALID_IMPLICIT_DESC_HANDLE_USE`
`static SQLStates` `INVALID_INPUT`
`static SQLStates` `INVALID_JOIN_CONDITION`
`static SQLStates` `INVALID_MATRIX_LITERAL`
`static SQLStates` `INVALID_ORDER_BY`
`static SQLStates` `INVALID_PARAMETER_MARKER`
`static SQLStates` `INVALID_QUERY_PRIORITY`
`static SQLStates` `INVALID_RESPONSE_TYPE`
`static SQLStates` `INVALID_SQL_DATA_TYPE`
`static SQLStates` `IO_ERROR`
`static SQLStates` `IS_A_SELECT`
`static SQLStates` `JOIN_LEADS_TO_DUPLICATE_COL_NAME`
`static SQLStates` `LIST_TYPE_IN_SELECT_LIST`
`static SQLStates` `LIST_WITHIN_LIST`
`static SQLStates` `MALFORMED_URL`
`static SQLStates` `MISSING_NULL_INDICATOR`
`static SQLStates` `MISSING_ORDER_BY`
`static SQLStates` `ML_MODEL_ALREADY_EXISTS`
`static SQLStates` `ML_MODEL_NOT_FOUND`
`static SQLStates` `ML_MODEL_ON_EMPTY_SET`
`static SQLStates` `NAKED_INTERVAL_TYPE`
`static SQLStates` `NEGATIVE_LIMIT`
`static SQLStates` `NEGATIVE_OFFSET`
`static SQLStates` `NETFLOW_DEMO_RESTRICTIONS_VIOLATED`
`static SQLStates` `NETWORK_COMMS_ERROR`
`static SQLStates` `NO_AGG_IN_HAVING`
`static SQLStates` `NO_CONNECTION`
`static SQLStates` `NO_CREATE_MLMODEL_AUTH`
`static SQLStates` `NO_DROP_MLMODEL_AUTH`
`static SQLStates` `NO_READ_AUTH`
`static SQLStates` `NO_RESULT_SET`
`static SQLStates` `NO_ROW_DATA`
`static SQLStates` `NO_SUCH_DATABASE`
`static SQLStates` `NO_SUCH_FUNCTION`
`static SQLStates` `NOT_A_SELECT`
`static SQLStates` `NOT_COMPATIBLE_COLS`
`static SQLStates` `NOT_IMPLEMENTED`
`static SQLStates` `NULL_OUTPUT_BUFFER`
`static SQLStates` `OK`
`static SQLStates` `OPERATION_CANCELED`
`static SQLStates` `OUT_OF_MEMORY`
`static SQLStates` `OUT_OF_RANGE`
`static SQLStates` `OUT_OF_TEMP_DISK_SPACE`
`static SQLStates` `PLAN_COMPILATION_ERROR`
`static SQLStates` `PREVIOUS_RESULT_SET_STILL_OPEN`
`static SQLStates` `SCALAR_SUBQUERY_CARDINALITY_VIOLATION`
`static SQLStates` `SEGMENT_NOT_AVAILABLE`
`static SQLStates` `SELECT_AFTER_AGG`
`static SQLStates` `SELECT_NUM_COLS_MISMATCH`
`static SQLStates` `SEQUENCE_ERROR`
`static SQLStates` `ST_POINT_INVALID_CONVERSION_FROM_NULL`
`static SQLStates` `SYNTAX_ERROR`
`static SQLStates` `SYSTEM_INITIALIZING`
`static SQLStates` `TABLE_NOT_FOUND`
`static SQLStates` `TKT_LIMIT_REACHED`
`static SQLStates` `TKT_RESTRICTIONS_VIOLATED`
`static SQLStates` `TRUNCATION`
`static SQLStates` `UNABLE_TO_CREATE_MLMODEL_SINGULAR_MATRIX`
`static SQLStates` `UNDEFINED_EXCEPTION`
`static SQLStates` `UNEXPECTED_EOF`
`static SQLStates` `UNKNOWN_DATA_TYPE`
`static SQLStates` `WINDOW_FUNC_EXPECTED_POSITIVE_CONSTANT`
`static SQLStates` `WRONG_FUNCTION_ARGUMENT_TYPE`
`static SQLStates` `WRONG_NUMBER_OF_FUNCTION_ARGUMENTS`
`static SQLStates` `WRONG_SHAPE_MATRIX_LITERAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SQLException` `clone()`
`SQLException` `cloneAndSpecify​(String newReason)`
`boolean` `equals​(SQLException e)`
`int` `getSqlCode()`
`String` `getSqlState()`
`static SQLException` `newGenericException​(Exception e)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INVALID_RESPONSE_TYPE

    public static SQLStates INVALID_RESPONSE_TYPE

#### INVALID_COLUMN_TYPE

    public static SQLStates INVALID_COLUMN_TYPE

#### MALFORMED_URL

    public static SQLStates MALFORMED_URL

#### FAILED_CONNECTION

    public static SQLStates FAILED_CONNECTION

#### FAILED_HANDSHAKE

    public static SQLStates FAILED_HANDSHAKE

#### INVALID_ARGUMENT

    public static SQLStates INVALID_ARGUMENT

#### CALL_ON_CLOSED_OBJECT

    public static SQLStates CALL_ON_CLOSED_OBJECT

#### COLUMN_NOT_FOUND

    public static SQLStates COLUMN_NOT_FOUND

#### CORRELATED_SUBQUERY

    public static SQLStates CORRELATED_SUBQUERY

#### CURSOR_NOT_ON_ROW

    public static SQLStates CURSOR_NOT_ON_ROW

#### INVALID_DATA_TYPE_CONVERSION

    public static SQLStates INVALID_DATA_TYPE_CONVERSION

#### UNEXPECTED_EOF

    public static SQLStates UNEXPECTED_EOF

#### NETWORK_COMMS_ERROR

    public static SQLStates NETWORK_COMMS_ERROR

#### PREVIOUS_RESULT_SET_STILL_OPEN

    public static SQLStates PREVIOUS_RESULT_SET_STILL_OPEN

#### UNKNOWN_DATA_TYPE

    public static SQLStates UNKNOWN_DATA_TYPE

#### BAD_USER_PWD

    public static SQLStates BAD_USER_PWD

#### OK

    public static SQLStates OK

#### NETFLOW_DEMO_RESTRICTIONS_VIOLATED

    public static SQLStates NETFLOW_DEMO_RESTRICTIONS_VIOLATED

#### SYNTAX_ERROR

    public static SQLStates SYNTAX_ERROR

#### INTERNAL_ERROR

    public static SQLStates INTERNAL_ERROR

#### DUPLICATE_CTE_NAME

    public static SQLStates DUPLICATE_CTE_NAME

#### SELECT_NUM_COLS_MISMATCH

    public static SQLStates SELECT_NUM_COLS_MISMATCH

#### INVALID_BY_EXPRESSION

    public static SQLStates INVALID_BY_EXPRESSION

#### NEGATIVE_LIMIT

    public static SQLStates NEGATIVE_LIMIT

#### NEGATIVE_OFFSET

    public static SQLStates NEGATIVE_OFFSET

#### WRONG_NUMBER_OF_FUNCTION_ARGUMENTS

    public static SQLStates WRONG_NUMBER_OF_FUNCTION_ARGUMENTS

#### AGGREGATION_ON_CONSTANT

    public static SQLStates AGGREGATION_ON_CONSTANT

#### WRONG_FUNCTION_ARGUMENT_TYPE

    public static SQLStates WRONG_FUNCTION_ARGUMENT_TYPE

#### INVALID_COMPARISON

    public static SQLStates INVALID_COMPARISON

#### NO_SUCH_DATABASE

    public static SQLStates NO_SUCH_DATABASE

#### AGGREGATION_NOT_ALLOWED

    public static SQLStates AGGREGATION_NOT_ALLOWED

#### AMBIGUOUS_COL

    public static SQLStates AMBIGUOUS_COL

#### NO_AGG_IN_HAVING

    public static SQLStates NO_AGG_IN_HAVING

#### SELECT_AFTER_AGG

    public static SQLStates SELECT_AFTER_AGG

#### TABLE_NOT_FOUND

    public static SQLStates TABLE_NOT_FOUND

#### INVALID_ORDER_BY

    public static SQLStates INVALID_ORDER_BY

#### LIST_TYPE_IN_SELECT_LIST

    public static SQLStates LIST_TYPE_IN_SELECT_LIST

#### LIST_WITHIN_LIST

    public static SQLStates LIST_WITHIN_LIST

#### INCOMPATIBLE_TYPES_IN_LIST

    public static SQLStates INCOMPATIBLE_TYPES_IN_LIST

#### NO_SUCH_FUNCTION

    public static SQLStates NO_SUCH_FUNCTION

#### TKT_RESTRICTIONS_VIOLATED

    public static SQLStates TKT_RESTRICTIONS_VIOLATED

#### NO_READ_AUTH

    public static SQLStates NO_READ_AUTH

#### NAKED_INTERVAL_TYPE

    public static SQLStates NAKED_INTERVAL_TYPE

#### NOT_A_SELECT

    public static SQLStates NOT_A_SELECT

#### IS_A_SELECT

    public static SQLStates IS_A_SELECT

#### ML_MODEL_NOT_FOUND

    public static SQLStates ML_MODEL_NOT_FOUND

#### ML_MODEL_ALREADY_EXISTS

    public static SQLStates ML_MODEL_ALREADY_EXISTS

#### NULL_OUTPUT_BUFFER

    public static SQLStates NULL_OUTPUT_BUFFER

#### NOT_IMPLEMENTED

    public static SQLStates NOT_IMPLEMENTED

#### SEQUENCE_ERROR

    public static SQLStates SEQUENCE_ERROR

#### INVALID_ATTRIBUTE

    public static SQLStates INVALID_ATTRIBUTE

#### INVALID_INPUT

    public static SQLStates INVALID_INPUT

#### DYNAMIC_LINK_FAILURE

    public static SQLStates DYNAMIC_LINK_FAILURE

#### BAD_PARAM_NUM

    public static SQLStates BAD_PARAM_NUM

#### INVALID_C_DATA_TYPE

    public static SQLStates INVALID_C_DATA_TYPE

#### INVALID_SQL_DATA_TYPE

    public static SQLStates INVALID_SQL_DATA_TYPE

#### NO_CONNECTION

    public static SQLStates NO_CONNECTION

#### INVALID_PARAMETER_MARKER

    public static SQLStates INVALID_PARAMETER_MARKER

#### TRUNCATION

    public static SQLStates TRUNCATION

#### INVALID_CURSOR_STATE

    public static SQLStates INVALID_CURSOR_STATE

#### INVALID_BUFFER_LENGTH

    public static SQLStates INVALID_BUFFER_LENGTH

#### NO_ROW_DATA

    public static SQLStates NO_ROW_DATA

#### INVALID_MATRIX_LITERAL

    public static SQLStates INVALID_MATRIX_LITERAL

#### WRONG_SHAPE_MATRIX_LITERAL

    public static SQLStates WRONG_SHAPE_MATRIX_LITERAL

#### EXCESSIVE_COST

    public static SQLStates EXCESSIVE_COST

#### ML_MODEL_ON_EMPTY_SET

    public static SQLStates ML_MODEL_ON_EMPTY_SET

#### NO_RESULT_SET

    public static SQLStates NO_RESULT_SET

#### MISSING_NULL_INDICATOR

    public static SQLStates MISSING_NULL_INDICATOR

#### INVALID_CONN_STR_ATTR

    public static SQLStates INVALID_CONN_STR_ATTR

#### INVALID_DESCRIPTOR_INDEX

    public static SQLStates INVALID_DESCRIPTOR_INDEX

#### INVALID_DESCRIPTOR_INFORMATION

    public static SQLStates INVALID_DESCRIPTOR_INFORMATION

#### INVALID_DESCRIPTOR_FIELD

    public static SQLStates INVALID_DESCRIPTOR_FIELD

#### COPY_TARGET_IS_IRD

    public static SQLStates COPY_TARGET_IS_IRD

#### INVALID_IMPLICIT_DESC_HANDLE_USE

    public static SQLStates INVALID_IMPLICIT_DESC_HANDLE_USE

#### NO_CREATE_MLMODEL_AUTH

    public static SQLStates NO_CREATE_MLMODEL_AUTH

#### NO_DROP_MLMODEL_AUTH

    public static SQLStates NO_DROP_MLMODEL_AUTH

#### DIVDE_BY_ZERO

    public static SQLStates DIVDE_BY_ZERO

#### OUT_OF_RANGE

    public static SQLStates OUT_OF_RANGE

#### INVALID_FLOATING_POINT_OPERATION

    public static SQLStates INVALID_FLOATING_POINT_OPERATION

#### OPERATION_CANCELED

    public static SQLStates OPERATION_CANCELED

#### INVALID_QUERY_PRIORITY

    public static SQLStates INVALID_QUERY_PRIORITY

#### IO_ERROR

    public static SQLStates IO_ERROR

#### INCOMPATIBLE_TYPES_IN_CASE

    public static SQLStates INCOMPATIBLE_TYPES_IN_CASE

#### NOT_COMPATIBLE_COLS

    public static SQLStates NOT_COMPATIBLE_COLS

#### JOIN_LEADS_TO_DUPLICATE_COL_NAME

    public static SQLStates JOIN_LEADS_TO_DUPLICATE_COL_NAME

#### SCALAR_SUBQUERY_CARDINALITY_VIOLATION

    public static SQLStates SCALAR_SUBQUERY_CARDINALITY_VIOLATION

#### INVALID_CASE_CONDITION

    public static SQLStates INVALID_CASE_CONDITION

#### INVALID_JOIN_CONDITION

    public static SQLStates INVALID_JOIN_CONDITION

#### AGGREGATION_NOT_ALLOWED_IN_WINDOW_CONSTRUCTION

    public static SQLStates AGGREGATION_NOT_ALLOWED_IN_WINDOW_CONSTRUCTION

#### EXPECTED_CONST_WINDOWED_AGGREGATE_ARGUMENT

    public static SQLStates EXPECTED_CONST_WINDOWED_AGGREGATE_ARGUMENT

#### BAD_RANGE_FRAME_SPECIFICATION

    public static SQLStates BAD_RANGE_FRAME_SPECIFICATION

#### BAD_WINDOWED_ORDER_BY

    public static SQLStates BAD_WINDOWED_ORDER_BY

#### FRAME_WITHOUT_ORDERING

    public static SQLStates FRAME_WITHOUT_ORDERING

#### BAD_END_FRAME_BOUND

    public static SQLStates BAD_END_FRAME_BOUND

#### BAD_START_FRAME_BOUND

    public static SQLStates BAD_START_FRAME_BOUND

#### INVALID_FRAME_BOUNDS

    public static SQLStates INVALID_FRAME_BOUNDS

#### FRAME_SPEC_NOT_ALLOWED

    public static SQLStates FRAME_SPEC_NOT_ALLOWED

#### WINDOW_FUNC_EXPECTED_POSITIVE_CONSTANT

    public static SQLStates WINDOW_FUNC_EXPECTED_POSITIVE_CONSTANT

#### UNDEFINED_EXCEPTION

    public static SQLStates UNDEFINED_EXCEPTION

#### MISSING_ORDER_BY

    public static SQLStates MISSING_ORDER_BY

#### PLAN_COMPILATION_ERROR

    public static SQLStates PLAN_COMPILATION_ERROR

#### UNABLE_TO_CREATE_MLMODEL_SINGULAR_MATRIX

    public static SQLStates UNABLE_TO_CREATE_MLMODEL_SINGULAR_MATRIX

#### TKT_LIMIT_REACHED

    public static SQLStates TKT_LIMIT_REACHED

#### OUT_OF_MEMORY

    public static SQLStates OUT_OF_MEMORY

#### SEGMENT_NOT_AVAILABLE

    public static SQLStates SEGMENT_NOT_AVAILABLE

#### SYSTEM_INITIALIZING

    public static SQLStates SYSTEM_INITIALIZING

#### INVALID_AGGREGATION

    public static SQLStates INVALID_AGGREGATION

#### ST_POINT_INVALID_CONVERSION_FROM_NULL

    public static SQLStates ST_POINT_INVALID_CONVERSION_FROM_NULL

#### CASE_WITHIN_CASE

    public static SQLStates CASE_WITHIN_CASE

#### OUT_OF_TEMP_DISK_SPACE

    public static SQLStates OUT_OF_TEMP_DISK_SPACE

### Method Detail

#### newGenericException

    public static SQLException newGenericException​(Exception e)

#### clone

    public SQLException clone()

Overrides:
  `clone` in class `Object`

#### cloneAndSpecify

    public SQLException cloneAndSpecify​(String newReason)

#### equals

    public boolean equals​(SQLException e)

#### getSqlCode

    public int getSqlCode()

#### getSqlState

    public String getSqlState()